KTextEdit Class Reference

`#include <ktextedit.h>`

Inherits QTextEdit.

## Public Slots

void | checkSpelling ()

## Public Member Functions

| KTextEdit (const QString &text, const QString &context=QString::null, QWidget *parent=0, const char *name=0)
| KTextEdit (QWidget *parent=0L, const char *name=0)
| ~KTextEdit ()
virtual void | setReadOnly (bool readOnly)
virtual void | setPalette (const QPalette &palette)
void | setCheckSpellingEnabled (bool check)
bool | checkSpellingEnabled () const
void | highLightWord (unsigned int length, unsigned int pos)

## Protected Member Functions

virtual void | keyPressEvent (QKeyEvent *)
virtual void | focusInEvent (QFocusEvent *)
virtual void | contentsWheelEvent (QWheelEvent *)
virtual void | deleteWordBack ()
virtual void | deleteWordForward ()
virtual QPopupMenu * | createPopupMenu (const QPoint &pos)
virtual QPopupMenu * | createPopupMenu ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A KDE'ified QTextEdit.

This is just a little subclass of QTextEdit, implementing some standard KDE features, like Cursor auto-hiding, configurable wheelscrolling (fast-scroll or zoom) and deleting of entire words with Ctrl-Backspace or Ctrl-Delete.

Basic rule: whenever you want to use QTextEdit, use KTextEdit!

See also
  QTextEdit

Author
  Carsten Pfeiffer pfeif.nosp@m.fer@.nosp@m.kde.o.nosp@m.rg

Since
  3.1

Definition at line 43 of file ktextedit.h.

## Constructor & Destructor Documentation

KTextEdit::KTextEdit | ( | const QString & | text,
|  | const QString & | context = `QString::null`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructs a KTextEdit object.

See QTextEdit::QTextEdit for details.

Definition at line 54 of file ktextedit.cpp.

KTextEdit::KTextEdit | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0`
| ) |  |

Constructs a KTextEdit object.

See QTextEdit::QTextEdit for details.

Definition at line 62 of file ktextedit.cpp.

KTextEdit::~KTextEdit | ( |  | ) |

Destroys the KTextEdit object.

Definition at line 69 of file ktextedit.cpp.

## Member Function Documentation

void KTextEdit::checkSpelling | ( |  | ) |

slot

Create a modal dialog to check the spelling.

This slot will not return until spell checking has been completed.

Since
  3.2

Definition at line 350 of file ktextedit.cpp.

bool KTextEdit::checkSpellingEnabled | ( |  | ) | const

Returns true if spell checking is enabled for this text edit.

Note that it even returns true if this is a read-only KTextEdit, where spell checking is actually disabled.

@ see setCheckSpellingEnabled()

Since
  3.2

Definition at line 304 of file ktextedit.cpp.

void KTextEdit::contentsWheelEvent | ( | QWheelEvent * | e | ) |

protected virtual

Reimplemented to allow fast-wheelscrolling with Ctrl-Wheel or zoom.

Definition at line 253 of file ktextedit.cpp.

QPopupMenu * KTextEdit::createPopupMenu | ( | const QPoint & | pos | ) |

protected virtual

Reimplemented from QTextEdit to add spelling related items when appropriate.

Definition at line 213 of file ktextedit.cpp.

QPopupMenu * KTextEdit::createPopupMenu | ( |  | ) |

protected virtual

This is just a reimplementation of a deprecated method from QTextEdit and is just here to keep source compatibility.

This should not be used in new code. Specifically reimplementing this method will probably not do what you expect. See the method above.

Deprecated:

Definition at line 248 of file ktextedit.cpp.

void KTextEdit::deleteWordBack | ( |  | ) |

protected virtual

Deletes a word backwards from the current cursor position, if available.

Definition at line 194 of file ktextedit.cpp.

void KTextEdit::deleteWordForward | ( |  | ) |

protected virtual

Deletes a word forwards from the current cursor position, if available.

Definition at line 201 of file ktextedit.cpp.

void KTextEdit::focusInEvent | ( | QFocusEvent * | e | ) |

protected virtual

Reimplemented to instantiate a KDictSpellingHighlighter, if spellchecking is enabled.

Definition at line 296 of file ktextedit.cpp.

void KTextEdit::keyPressEvent | ( | QKeyEvent * | e | ) |

protected virtual

Reimplemented to catch "delete word" key events.

Definition at line 74 of file ktextedit.cpp.

void KTextEdit::setCheckSpellingEnabled | ( | bool | check | ) |

Turns spell checking for this text edit on or off.

Note that spell checking is only available in read-writable KTextEdits.

See also
  checkSpellingEnabled()
  isReadOnly()
  setReadOnly()

Since
  3.2

Definition at line 274 of file ktextedit.cpp.

void KTextEdit::setPalette | ( | const QPalette & | palette | ) |

virtual

Reimplemented for tracking custom palettes.

Definition at line 261 of file ktextedit.cpp.

void KTextEdit::setReadOnly | ( | bool | readOnly | ) |

virtual

Reimplemented to set a proper "deactivated" background color.

Definition at line 309 of file ktextedit.cpp.

The documentation for this class was generated from the following files:

- ktextedit.h
- ktextedit.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys